Naar hoofdinhoud gaan

Deze browser wordt niet meer ondersteund.

Upgrade naar Microsoft Edge om te profiteren van de nieuwste functies, beveiligingsupdates en technische ondersteuning.

Microsoft Edge downloaden Meer informatie over Internet Explorer en Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Agent Sessions

Get a session

GET /agents/{agent_name}/endpoint/sessions/{session_id}

Retrieves the details of a hosted agent session by agent name and session identifier.

Padparameters

agent_name string vereist

The name of the agent.

session_id string vereist

The session identifier.

Queryparameters

api-version string vereist

The API version to use for this operation.

Antwoorden

The request has succeeded.

Hoofdtekst

Content-Type: application/json
agent_session_id string vereist

The session identifier.

version_indicator version_ref vereist

Version indicator determining which agent version backs the session.

Een van de volgende:
version_ref VersionRefIndicator

Version indicator that references a specific agent version by name.

type enum vereist

Discriminator value for version_ref.

version_ref
agent_version string vereist

The agent version identifier returned by the agent version APIs.

status string | enum vereist

The status of an agent session.

Een van de volgende:
string
enum
creatingactiveidleupdatingfaileddeletingdeletedexpired
created_at integer vereist

The Unix timestamp (in seconds) when the session was created.

last_accessed_at integer vereist

The Unix timestamp (in seconds) when the session was last accessed.

expires_at integer vereist

The Unix timestamp (in seconds) when the session expires (rolling, 30 days from last activity).

stopped_at integer

The Unix timestamp (in seconds) when the session sandbox was last observed to stop or go idle. Present only after the session has gone idle at least once, used for accurate idle-billing reconciliation.

Client error

Hoofdtekst

Content-Type: application/json
error OpenAI.Error vereist
code string | null vereist
message string vereist
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Een van de volgende:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string vereist

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

Hoofdtekst

Content-Type: application/json
error OpenAI.Error vereist
code string | null vereist
message string vereist
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Een van de volgende:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string vereist

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Aanvraag

GET /agents/{agent_name}/endpoint/sessions/{session_id} HTTP/1.1

Respons

Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
nl-nl
Uw privacykeuzes
  • AI-disclaimer
  • Vorige versies
  • Blog
  • Bijdragen
  • Privacy
  • Privacy van gezondheidsdata
  • Gebruiksvoorwaarden
  • Handelsmerken
  • © Microsoft 2026